import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, p = (c, t, r, s) => {
  for (var e = s > 1 ? void 0 : s ? u(t, r) : t, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (s ? i(t, r, e) : i(e)) || e);
  return s && e && f(t, r, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--thumbsDown", this.class = "c-pieIcon c-pieIcon--thumbsDown", this.name = "IconThumbsDown";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--thumbsDown"><path d="M14.204 6.906 13.18 3.625a2.41 2.41 0 0 0-2.24-1.54H1.875v1.313H4.5a9 9 0 0 0-.131 1.61c-.003.78.067 1.56.21 2.327H1.875v1.313h4.314a.21.21 0 0 1 .183.105l2.503 5.153h.989a1.793 1.793 0 0 0 1.75-2.135l-.464-2.415 1.96-.481a1.51 1.51 0 0 0 .963-.726 1.56 1.56 0 0 0 .13-1.243m-1.269.569a.24.24 0 0 1-.14.105l-3.176.814.726 3.64a.472.472 0 0 1-.455.56h-.14L7.563 8.13a1.58 1.58 0 0 0-1.34-.787h-.27a11 11 0 0 1-.237-2.328 8 8 0 0 1 .14-1.61h5.084a1.08 1.08 0 0 1 1.006.674l1.007 3.22a.22.22 0 0 1-.018.175"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  m("icon-thumbs-down")
], o);
export {
  o as IconThumbsDown
};
